Payouts

Get Bulk Payout Status By Source Reference

Retrieve the current status of a bulk payout batch using the merchant source reference.

GET
/api/v1/payout/bulk-by-source-reference/{sourceReference}/status

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

sourceReference*string

Source reference for the bulk payout

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/payout/bulk-by-source-reference/50b3884a-4ec6-47d0-8782-74ee08e5dafe/status"
{
  "requestId": "1114583f-2b53-44b5-98f2-cea66295da00",
  "requestTimestamp": "2026-03-27 09:18:31.990",
  "message": "Bulk payout status fetched successfully.",
  "statusCode": 200,
  "data": {
    "batchId": "019d2e70-1b0f-701d-ab91-6f6503516e66",
    "batchReference": "bat_pay_miawlgzvhvdn",
    "sourceReference": "50b3884a-4ec6-47d0-8782-74ee08e5dafe",
    "name": "October Refund",
    "status": "COMPLETED",
    "totalAmount": 550,
    "totalFees": 20,
    "totalPayouts": 2,
    "payouts": [
      {
        "id": "019d2e70-29f3-71fc-b3de-885bb7fb3aa9",
        "recipientAccountName": "John Doe",
        "recipientAccountNumber": "2018054387",
        "recipientBankName": "Test Bank",
        "sourceReference": "SRC_PAYOUT_0012",
        "paymentChannel": "Bank Transfer",
        "sessionId": "100999260327083700156384471623",
        "parentTransactionReference": null,
        "reference": "TRN_O6WVCPYRQIEY",
        "amount": {
          "value": 200,
          "currency": "NGN",
          "formatted": "NGN200"
        },
        "balance": {
          "value": 8880,
          "currency": "NGN",
          "formatted": "NGN8880"
        },
        "status": "Successful",
        "narration": "Payment for services rendered",
        "createdAt": "2026-03-27 09:36:35",
        "fee": [
          {
            "id": "019d2e70-2d40-71e1-b0d2-0e7176ff378a",
            "recipientAccountName": "-",
            "recipientAccountNumber": "-",
            "recipientBankName": "Master Wallet",
            "sourceReference": "SRC_PAYOUT_0012",
            "paymentChannel": "Fees",
            "sessionId": null,
            "parentTransactionReference": "TRN_O6WVCPYRQIEY",
            "reference": "TRN_42JC3KLXNG55",
            "amount": {
              "value": 10,
              "currency": "NGN",
              "formatted": "NGN10"
            },
            "balance": {
              "value": 8870,
              "currency": "NGN",
              "formatted": "NGN8870"
            },
            "status": "Successful",
            "narration": "Payment for services rendered",
            "createdAt": "2026-03-27 09:36:37"
          }
        ]
      }
    ]
  }
}
{
  "requestId": "1114583f-2b53-44b5-98f2-cea66295da00",
  "requestTimestamp": "2026-03-27 09:18:31.990",
  "message": "Bulk payout not found.",
  "statusCode": 404
}

How is this guide?